dbXML API

## com.dbxml.db.core.query.plan.logical
Class LogicalOperation

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode
          com.dbxml.db.core.query.plan.logical.LogicalQueryNode
              com.dbxml.db.core.query.plan.logical.LogicalOperation

public class LogicalOperation
extends LogicalQueryNode

LogicalOperation

Constructor Summary
`LogicalOperation(Value leftValue, Operator operator, Value rightValue)`

Method Summary
`boolean` `equals(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogicalOperation

    public LogicalOperation(Value leftValue,
                            Operator operator,
                            Value rightValue)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

dbXML API

Copyright (c) 2004 The dbXML Group